=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?Ghidra_(\d[\d.]*)_build\.tar\.gz%ghidra-$1.tar.gz%" \
   https://github.com/NationalSecurityAgency/ghidra/tags \
   (?:.*?/)?Ghidra_(\d[\d.]*)_build\.tar\.gz debian uupdate
