## ghidra 11.3.2+ds

=== debian/changelog ===
ghidra (11.3.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 11.3.2+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 May 2025 11:28:27 +0200

ghidra (11.3.1+ds-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * New upstream version 11.0+ds
  * d/upstream: Add upstream metadata

  [ Daniel Ruiz de Alegría ]
  * New upstream version 11.3.1+ds
  * Refresh patches
  * Update packaging
  * Update patch that removes privacy breach
  * Update lintian overrides

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 11 Mar 2025 09:39:26 +0100

ghidra (11.0+ds-0kali1) kali-dev; urgency=medium

  * d/watch: Add repacksuffix
  * New upstream version 11.0+ds
  * Update lintian overrides

 -- Steev Klimaszewski <steev@kali.org>  Sat, 23 Dec 2023 15:38:46 -0600

ghidra (10.4-0kali1) kali-dev; urgency=medium

  * New upstream version 10.4

 -- Steev Klimaszewski <steev@kali.org>  Fri, 29 Sep 2023 20:40:54 -0500

ghidra (10.3.3-0kali1) kali-dev; urgency=medium

  * Exclude .gitattributes
  * New upstream version 10.3.3
  * Update lintian overrides.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 26 Sep 2023 18:26:49 -0500
