=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: ghidra
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
+ Daniel Ruiz de Alegria <daniruiz@kali.org>,
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
                libnative-platform-jni,
-               openjdk-17-jdk-headless,
+               openjdk-21-jdk-headless,
+               python3,
+               python3-pip,
                unzip,
-               wget
-Standards-Version: 4.6.1
+               wget,
+Standards-Version: 4.7.2
 Homepage: https://github.com/NationalSecurityAgency/ghidra
+Vcs-Browser: https://gitlab.com/kalilinux/packages/ghidra
+Vcs-Git: https://gitlab.com/kalilinux/packages/ghidra.git
 Rules-Requires-Root: no
 
 Package: ghidra
 Architecture: amd64 arm64
-Depends: openjdk-17-jdk, ${misc:Depends}, ${shlibs:Depends}
+Depends: openjdk-21-jdk, ${misc:Depends}, ${shlibs:Depends}
 Recommends: ghidra-data (>= 9.2)
 Description: Software Reverse Engineering Framework
  This package contains a software reverse engineering (SRE) framework created
