## ghidra 11.4.1+ds

=== debian/changelog ===
ghidra (11.4.1+ds-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 11.4.1+ds
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 11 Aug 2025 11:52:45 +0200
