=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
- Sophie Brun <sophie@offensive-security.com>,
+ Sophie Brun <sophie@kali.org>,
  Daniel Ruiz de Alegria <daniruiz@kali.org>,
 Build-Depends: bison,
                debhelper-compat (= 13),
