## ghidra 11.4.2+ds

=== debian/changelog ===
ghidra (11.4.2+ds-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 11.4.1+ds

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 11.4.2+ds
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 04 Sep 2025 09:45:29 +0200
