=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Homepage: https://github.com/NationalSecurityAgency/ghidra
 Vcs-Browser: https://gitlab.com/kalilinux/packages/ghidra
 Vcs-Git: https://gitlab.com/kalilinux/packages/ghidra.git
-Rules-Requires-Root: no
 
 Package: ghidra
 Architecture: amd64 arm64
