=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/architecture.mk
 
 # mandatory for gradle
-GRADLE_VERSION=7.3
+GRADLE_VERSION=8.5
 export GRADLE_USER_HOME=$(CURDIR)/debian/fakehome/.gradle
 
 # define a writable user.home (Java user.home is different from $HOME value)
