## ghidra 11.4.3+ds

=== debian/changelog ===
ghidra (11.4.3+ds-0kali2) kali-dev; urgency=medium

  * Update debian/watch to version 5
  * Remove full URL from -Matching-Pattern in debian/watch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Dec 2025 10:44:17 +0100

ghidra (11.4.3+ds-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 11.4.3+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Dec 2025 10:29:08 +0100
