=== debian/watch ===
Version: 5

Template: Github
Owner: NationalSecurityAgency
Project: ghidra
Repacksuffix: +ds
Matching-Pattern: /tags/Ghidra_(\d[.\d]*)_build
