## ghidra 12.0+ds

=== debian/changelog ===
ghidra (12.0+ds-0kali1) kali-dev; urgency=medium

  * Revert back to using full URL for debian/watch Matching-Pattern
  * New upstream version 12.0+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Dec 2025 14:07:21 +0100
