## ghidra 12.0.1+ds

=== debian/changelog ===
ghidra (12.0.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 12.0.1+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 12:37:06 +0100
