## ghidra 12.0.2+ds

=== debian/changelog ===
ghidra (12.0.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 12.0.2+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 02 Feb 2026 10:52:43 +0100
