=== debian/watch ===
Version: 5

Template: Github
Owner: NationalSecurityAgency
Project: ghidra
Repacksuffix: +ds
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/Ghidra_(\d[.\d]*)_build
