## ghidra 12.0.3+ds

=== debian/changelog ===
ghidra (12.0.3+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 12.0.3+ds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 16 Feb 2026 11:37:30 +0100
